#!/bin/sh

# Copyright 2018 by Gero Treuner <gero@70t.de>
#
# This file is part of CAcert key/certificate management scripts (short
# form: "CAcert scripts").
#
# CAcert scripts are free software: You can redistribute it and/or
# modify it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# license, or (at your option) any later version.
#
# CAcert scripts are distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License along with CAcert scripts.  If not, see
# <http://www.gnu.org/licenses/>.

# Launch

set -e
exec ./scripts/run_workflow.sh "$0"

# Tasks

TASK set_keyfile_basename.sh(hidden)
  KEYFILE_BASENAME <-- KEYFILE_BASENAME

TASK select_browser.sh
  BROWSER_PATH     <-- BROWSER_PATH

TASK generate_key_csr_rsa.sh
  KEYFILE_BASENAME --> KEYFILE_BASENAME
  KEYFILE_PATH     <-- KEYFILE_PATH
  CSRFILE_PATH     <-- CSRFILE_PATH

TASK process_csr.sh
  BROWSER_PATH     --> BROWSER_PATH
  CSRFILE_PATH     --> CSRFILE_PATH
  CERTFILE_PATH    <-- CERTFILE_PATH

TASK create_pkcs12.sh
  KEYFILE_PATH     --> KEYFILE_PATH
  CERTFILE_PATH    --> CERTFILE_PATH
  PKCS12FILE_PATH  <-- PKCS12FILE_PATH

TASK install_pkcs12.sh
  BROWSER_PATH     --> BROWSER_PATH
  PKCS12FILE_PATH  --> PKCS12FILE_PATH
