if test -n "$KSH_VERSION"
then
  LOCAL="typeset var"
else
  LOCAL="local"
fi

secure_stty ()
{
  SAVEDSTTY=$(stty -g)
  trap restore_stty EXIT
}

restore_stty ()
{
  stty $SAVEDSTTY
}

sanitize_filename ()
{
  echo "$1" | sed -e ':a' -e 'N' -e '$!ba' -e 's/\n/_/g' -e "s/[[:cntrl:]\"&'*,\/:;<>?\]/_/g"
}
